Bug 456712 - X server crash on f9 intel driver
X server crash on f9 intel driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 14:49 EDT by Kevin Fenzi
Modified: 2018-04-11 03:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (1.21 KB, text/plain)
2008-07-28 16:32 EDT, Kevin Fenzi
no flags Details
xorg log with backtrace/crash (24.57 KB, text/plain)
2008-07-28 16:36 EDT, Kevin Fenzi
no flags Details
Xorg.0.log with no xorg.conf (21.67 KB, text/plain)
2008-08-04 13:20 EDT, Kevin Fenzi
no flags Details
Xorg.0.log with backtrace and no xorg.conf (38.72 KB, text/plain)
2008-08-07 18:26 EDT, Toshio Ernie Kuratomi
no flags Details
Xorg.0.log with error (23.59 KB, text/plain)
2009-02-15 12:13 EST, Martin Burchell
no flags Details
Xorg.0.log with no error (20.97 KB, text/plain)
2009-02-15 12:14 EST, Martin Burchell
no flags Details
xorg.conf (726 bytes, application/octet-stream)
2009-02-15 12:15 EST, Martin Burchell
no flags Details
Xorg.0.log for crash on 2009-03-23 (21.87 KB, application/octet-stream)
2009-03-23 10:39 EDT, Oisin C. Feeley
no flags Details
Xorg.conf to go along with 2009-03-23 crash (803 bytes, application/octet-stream)
2009-03-23 10:40 EDT, Oisin C. Feeley
no flags Details

  None (edit)
Description Kevin Fenzi 2008-07-25 14:49:31 EDT
X server crashed here leaving the following in /var/log/Xorg.0.log.old 
(I had to reboot): 

Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0xcffc0001 getbl_err: 0x00000000
ipeir: 0x00000000 iphdr: 0x66014140
LP ring tail: 0x000001b0 head: 0x0000525c len: 0x0001f001 start 0x00000000
eir: 0x0000 esr: 0x0000 emr: 0xffff
instdone: 0xfa41 instpm: 0x0000
memmode: 0x0000010f instps: 0x800f04c4
hwstam: 0xeffe ier: 0x0002 imr: 0x0000 iir: 0x1020
Ring at virtual 0x7f000294e000 head 0x525c tail 0x1b0 count 27605
	000051dc: 02de4410
	000051e0: 02000011
	000051e4: 00000000
	000051e8: 02000011
	000051ec: 00000000
	000051f0: 02000011
	000051f4: 00000000
	000051f8: 02000011
	000051fc: 00000000
	00005200: 02000011
	00005204: 00000000
	00005208: 02000011
	0000520c: 00000000
	00005210: 54300004
	00005214: 03f01c40
	00005218: 00000000
	0000521c: 03eb070e
	00005220: 04259b80
	00005224: 00ffffff
	00005228: 02000011
	0000522c: 00000000
	00005230: 54f00006
	00005234: 03cc0050
	00005238: 00000000
	0000523c: 00010012
	00005240: 02028fe0
	00005244: 00000000
	00005248: 00000050
	0000524c: 02028f90
	00005250: 0c000000
	00005254: 0002a00d
	00005258: 66014140
	0000525c: 6ba008a1
Ring end
space: 20644 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0x1efff000 at 0x7f0012b5d000
(II) intel(0): [drm] Closed DRM master.

Fatal server error:
lockup

(II) UnloadModule: "mouse"
(II) UnloadModule: "synaptics"
(II) UnloadModule: "kbd"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) UnloadModule: "synaptics"
(II) PS/2 Mouse: Close
(II) UnloadModule: "evdev"
(II) AIGLX: Suspending AIGLX clients for VT switch

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479ca5]
1: /lib64/libc.so.6 [0x3c9da322a0]
2: /usr/lib64/xorg/modules/extensions//libdri.so(DRILock+0x40) [0x419f880]
3: /usr/lib64/xorg/modules/drivers//intel_master_drv.so [0x5ea4e17]
4: /usr/bin/Xorg(AbortDDX+0x8d) [0x46112d]
5: /usr/bin/Xorg(AbortServer+0x18) [0x4f0ed8]
6: /usr/bin/Xorg(FatalError+0xd5) [0x4f15a5]
7: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830WaitLpRing+0x1c1)
[0x5e9af71]
8: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830Sync+0x1bb) [0x5e9b34b]
9: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x5c) [0x36fb33c]
10: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0x91) [0x36fc4b1]
11: /usr/lib64/xorg/modules//libexa.so [0x36fdac2]
12: /usr/lib64/xorg/modules//libexa.so [0x36fdbb2]
13: /usr/bin/Xorg [0x5296af]
14: /usr/bin/Xorg(ProcPutImage+0x157) [0x4437b7]
15: /usr/bin/Xorg(Dispatch+0x364) [0x4467f4]
16: /usr/bin/Xorg(main+0x45d) [0x42cc4d]
17: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3c9da1e32a]
18: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42c029]

FatalError re-entered, aborting
Caught signal 11.  Server aborting

lspci says this is a: 
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)
Comment 1 Matěj Cepl 2008-07-26 17:31:24 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kevin Fenzi 2008-07-28 16:32:59 EDT
Created attachment 312814 [details]
xorg.conf file

Here's my xorg.conf
Comment 3 Kevin Fenzi 2008-07-28 16:36:49 EDT
Created attachment 312816 [details]
xorg log with backtrace/crash
Comment 4 Kevin Fenzi 2008-07-28 16:38:59 EDT
I will need to add the Xorg.0.log without a xorg.conf later... as I am using the
laptop for work right now. 
Comment 5 Kevin Fenzi 2008-08-04 13:20:26 EDT
Created attachment 313379 [details]
Xorg.0.log with no xorg.conf

Here is my X.0.log from a run with no xorg.conf at all. 
Note that my keyboard fails to work when run without an xorg.conf.
Comment 6 Toshio Ernie Kuratomi 2008-08-07 18:26:07 EDT
Created attachment 313757 [details]
Xorg.0.log with backtrace and no xorg.conf 

I've had this problem as well.  Here's an xorg.0.log with a backtrace that occurred with no xorg.conf.  Caveat, it's with a slightly older version than nirik has::

  xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.i386.rpm
  xorg-x11-drv-i810-2.3.2-2.fc9.i386.rpm
Comment 7 Toshio Ernie Kuratomi 2008-08-27 16:17:12 EDT
Possible helpful info: I saw this approximately once every 24 hour period when I was running compiz.  I have switched to metacity with compositing switched on and I don't recall seeing it since.  I'll keep better watch now that I'm thinking along those lines.
Comment 8 Kevin Fenzi 2008-10-29 14:42:01 EDT
Another crash today. ;) 

Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0xcffc0001 getbl_err: 0x00000000
ipeir: 0x00000000 iphdr: 0x66014140
LP ring tail: 0x000001c0 head: 0x000075d4 len: 0x0001f001 start 0x00000000
eir: 0x0000 esr: 0x0000 emr: 0xffff
instdone: 0xfa41 instpm: 0x0000
memmode: 0x0000010f instps: 0x800f04c4
hwstam: 0xeffe ier: 0x0002 imr: 0x0000 iir: 0x1020
Ring at virtual 0x7f3237f8e000 head 0x75d4 tail 0x1c0 count 25339
	00007554: 00000000
	00007558: 02000011
	0000755c: 00000000
	00007560: 02000011
	00007564: 00000000
	00007568: 02000011
	0000756c: 00000000
	00007570: 02000011
	00007574: 00000000
	00007578: 02000011
	0000757c: 00000000
	00007580: 02000011
	00007584: 00000000
	00007588: 54300004
	0000758c: 03f01c70
	00007590: 00000000
	00007594: 03cb071b
	00007598: 0233b0e0
	0000759c: 00ffffff
	000075a0: 02000011
	000075a4: 00000000
	000075a8: 54f00006
	000075ac: 03cc0050
	000075b0: 00000000
	000075b4: 00010012
	000075b8: 0203bfe0
	000075bc: 00000000
	000075c0: 00000050
	000075c4: 0203bf90
	000075c8: 0c000000
	000075cc: 0002a00d
	000075d0: 66014140
	000075d4: 6ba008a1
Ring end
space: 29708 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0x2efff000 at 0x7f3248a04000
(II) intel(0): [drm] Closed DRM master.

Fatal server error:
lockup

(II) UnloadModule: "kbd"
(II) UnloadModule: "mouse"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) UnloadModule: "synaptics"
(II) PS/2 Mouse: Close
(II) UnloadModule: "evdev"
(II) AIGLX: Suspending AIGLX clients for VT switch

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x47a095]
1: /lib64/libc.so.6 [0x3c9da322a0]
2: /usr/lib64/xorg/modules/extensions//libdri.so(DRILock+0x40) [0x51d6880]
3: /usr/lib64/xorg/modules/drivers//intel_master_drv.so [0x65d4e17]
4: /usr/bin/Xorg(AbortDDX+0x8d) [0x46137d]
5: /usr/bin/Xorg(AbortServer+0x18) [0x4f14d8]
6: /usr/bin/Xorg(FatalError+0xd5) [0x4f1ba5]
7: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830WaitLpRing+0x1c1) [0x65caf71]
8: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830Sync+0x1bb) [0x65cb34b]
9: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x5c) [0x7f3247f9210c]
10: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0x91) [0x7f3247f93271]
11: /usr/lib64/xorg/modules//libexa.so(ExaCheckPutImage+0x165) [0x7f3247f9ace5]
12: /usr/lib64/xorg/modules//libexa.so [0x7f3247f945c2]
13: /usr/bin/Xorg [0x52a5ef]
14: /usr/bin/Xorg(ProcPutImage+0x157) [0x443767]
15: /usr/bin/Xorg(Dispatch+0x364) [0x4467a4]
16: /usr/bin/Xorg(main+0x45d) [0x42cbed]
17: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3c9da1e32a]
18: /usr/bin/Xorg(FontFileCompleteXLFD+0x279) [0x42bfc9]

FatalError re-entered, aborting
Caught signal 11.  Server aborting
Comment 9 Walter Neumann 2008-12-15 23:38:40 EST
My wife has had exactly the same crash three times in the last three days. Lost several hours of work twice and is pretty unhappy (I tell her she should save more often).  It seems to have started happening within the last month. Seems to happen when doing things with firefox.

She is running a fully updated Fedora 9, intel driver, no xorg.conf, Intel 945GM/GMS, 943/940GML Express Integrated Graphics Controller

Xorg.0.log record of the crash is line for line identical to message 8 above (except for memory addresses).
Comment 10 Martin Burchell 2009-02-15 12:11:13 EST
I'm getting what looks like the same error here.  The usual cycle is

turn on machine
log in
startx
machine locks up with garbage in the screen
reset
log in
startx
window manager (Window Maker) starts

lspci reports:
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03)

I'll attach my log and configuration files and try again with no configuration.

I think the priority/severity of this bug should be raised to high/high
Comment 11 Martin Burchell 2009-02-15 12:13:24 EST
Created attachment 331976 [details]
Xorg.0.log with error
Comment 12 Martin Burchell 2009-02-15 12:14:09 EST
Created attachment 331977 [details]
Xorg.0.log with no error
Comment 13 Martin Burchell 2009-02-15 12:15:20 EST
Created attachment 331978 [details]
xorg.conf
Comment 14 Oisin C. Feeley 2009-03-23 10:35:38 EDT
Same thing just started happening 2009-03-23 and had not happened before on this Fedora 9 machine during it's entire lifespan from release day to today:

/sbin/lspci -v
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
	Subsystem: Matsushita Electric Industrial Co., Ltd. Unknown device 8338
	Flags: bus master, fast devsel, latency 0
	Memory at d0280000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [d0] Power Management version 2
	
/sbin/lspci -k
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
	Kernel modules: intelfb, i915
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)


xorg-x11-drv-i810-2.3.2-3.fc9.i386


(WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16
(--) SynPS/2 Synaptics TouchPad touchpad found
Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x5ffc0001 getbl_err: 0x00000000
ipeir: 0x00000000 iphdr: 0x7d000003
LP ring tail: 0x000001c0 head: 0x00012434 len: 0x0001f001 start 0x00000000
eir: 0x0000 esr: 0x0000 emr: 0xffff
instdone: 0xfa41 instpm: 0x0000
memmode: 0x00000306 instps: 0x800f04c4
hwstam: 0xeffe ier: 0x0002 imr: 0x0000 iir: 0x0020
Ring at virtual 0xa7e78000 head 0x12434 tail 0x1c0 count 14179
        000123b4: 3f800000
        000123b8: 40780000
        000123bc: 4444b800
        000123c0: 40800000
        000123c4: 4444c000
        000123c8: 00000000
        000123cc: 00000000
        000123d0: 54f00006
        000123d4: 03cc2000
        000123d8: 00e10527
        000123dc: 03fe0536
        000123e0: 01000000
        000123e4: 00000000
        000123e8: 00000040
        000123ec: 020714d0
        000123f0: 02000011
        000123f4: 00000000
        000123f8: 54f00006
        000123fc: 03cc0050
        00012400: 00000000
        00012404: 00010012
        00012408: 02013fe0
        0001240c: 00000000
        00012410: 00000050
        00012414: 02013f90
        00012418: 54300004
        0001241c: 03f012b0
        00012420: 00000000
        00012424: 031d04a9
        00012428: 021089f0
        0001242c: 00ffffff
        00012430: 7d000003
        00012434: 00000001
Ring end
space: 74348 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8aff000 at 0xb8087000
(II) intel(0): [drm] Closed DRM master.

Fatal server error:
lockup

(II) UnloadModule: "kbd"
(II) UnloadModule: "synaptics"
(II) UnloadModule: "mouse"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) UnloadModule: "synaptics"
(II) AIGLX: Suspending AIGLX clients for VT switch

FatalError re-entered, aborting
Caught signal 11.  Server aborting
Comment 15 Oisin C. Feeley 2009-03-23 10:39:23 EDT
Created attachment 336297 [details]
Xorg.0.log for crash on 2009-03-23

Xorg.0.log for crash which has happened several times now on a machine previously stable for at least 4 months. Xorg.conf follows as attachment
Comment 16 Oisin C. Feeley 2009-03-23 10:40:29 EDT
Created attachment 336298 [details]
Xorg.conf to go along with 2009-03-23 crash

Xorg.conf for previous crash case
Comment 17 Bug Zapper 2009-06-09 22:14:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-07-14 13:45:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.